/*
 * Class SHARED_EXECUTION_ENVIRONMENT
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_48 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_48 [] = {0xFF01,1551,47,0xFFFF};
static const EIF_TYPE_INDEX egt_2_48 [] = {0xFF01,47,0xFFFF};
static const EIF_TYPE_INDEX egt_3_48 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_48 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_48 [] = {0xFF01,47,0xFFFF};
static const EIF_TYPE_INDEX egt_6_48 [] = {0xFF01,47,0xFFFF};
static const EIF_TYPE_INDEX egt_7_48 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_48 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_48 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_48 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_48 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_48 [] = {0xFF01,47,0xFFFF};
static const EIF_TYPE_INDEX egt_13_48 [] = {0xFF01,616,0xFFFF};


static const struct desc_info desc_48[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_48), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_48), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_48), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_48), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_48), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_48), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_48), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_48), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_48), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_48), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_48), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_48), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x5F /*47*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_48), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_48), 703, 0xFFFFFFFF},
};
void Init48(void)
{
	IDSC(desc_48, 0, 47);
	IDSC(desc_48 + 1, 1, 47);
	IDSC(desc_48 + 32, 1248, 47);
}


#ifdef __cplusplus
}
#endif
